{-# LANGUAGE ForeignFunctionInterface, InterruptibleFFI #-}
module HROOT.Hist.TMultiGraph.FFI where
import Data.Word
import Data.Int
import Foreign.C
import Foreign.Ptr
import HROOT.Hist.TMultiGraph.RawType
import HROOT.Hist.TMultiGraph.RawType
import HROOT.Core.TObject.RawType
import HROOT.Core.TClass.RawType
import HROOT.Hist.TGraph.RawType

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_SetName" c_tmultigraph_setname
               :: Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_SetNameTitle"
               c_tmultigraph_setnametitle ::
               Ptr RawTMultiGraph -> CString -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_SetTitle"
               c_tmultigraph_settitle :: Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_Clear" c_tmultigraph_clear ::
               Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_Draw" c_tmultigraph_draw ::
               Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_FindObject"
               c_tmultigraph_findobject ::
               Ptr RawTMultiGraph -> CString -> IO (Ptr RawTObject)

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_GetName" c_tmultigraph_getname
               :: Ptr RawTMultiGraph -> IO CString

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_IsA" c_tmultigraph_isa ::
               Ptr RawTMultiGraph -> IO (Ptr RawTClass)

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_Paint" c_tmultigraph_paint ::
               Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_printObj"
               c_tmultigraph_printobj :: Ptr RawTMultiGraph -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_SaveAs" c_tmultigraph_saveas ::
               Ptr RawTMultiGraph -> CString -> CString -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_Write" c_tmultigraph_write ::
               Ptr RawTMultiGraph -> CString -> CInt -> CInt -> IO CInt

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_Write_" c_tmultigraph_write_ ::
               Ptr RawTMultiGraph -> IO CInt

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_delete" c_tmultigraph_delete ::
               Ptr RawTMultiGraph -> IO ()

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_newTMultiGraph"
               c_tmultigraph_newtmultigraph ::
               CString -> CString -> IO (Ptr RawTMultiGraph)

foreign import ccall interruptible
               "HROOTHistTMultiGraph.h TMultiGraph_AddG" c_tmultigraph_addg ::
               Ptr RawTMultiGraph -> Ptr RawTGraph -> CString -> IO ()
